Bug 847530 - [abrt] gwibber-3.4.2-3.fc17: socket.py:351:read:error: [Errno 104] Connection reset by peer
[abrt] gwibber-3.4.2-3.fc17: socket.py:351:read:error: [Errno 104] Connection...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:9bf36ef80e3d89520e1f69d7c09...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 13:22 EDT by ramadhian@gmail.com
Modified: 2013-08-01 07:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:32:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: fedora17 (21.53 KB, text/plain)
2012-08-12 13:22 EDT, ramadhian@gmail.com
no flags Details

  None (edit)
Description ramadhian@gmail.com 2012-08-12 13:22:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gwibber-service
executable:     /usr/bin/gwibber-service
kernel:         3.5.1-1.fc17.x86_64
reported_to:    file: fedora17
time:           Mon 13 Aug 2012 12:15:51 AM WIT
uid:            1000
username:       rama

fedora17:       Text file, 22044 bytes

backtrace:
:socket.py:351:read:error: [Errno 104] Connection reset by peer
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gwibber/microblog/dispatcher.py", line 915, in cache_avatar
:    util.resources.get_avatar_path(message["sender"]["image"])
:  File "/usr/lib/python2.7/site-packages/gwibber/microblog/util/resources.py", line 96, in get_avatar_path
:    f.write(data.get_string())
:  File "/usr/lib/python2.7/site-packages/gwibber/microblog/network.py", line 52, in get_string
:    return self.res.read()
:  File "/usr/lib64/python2.7/socket.py", line 351, in read
:    data = self._sock.recv(rbufsize)
:error: [Errno 104] Connection reset by peer
:
:Local variables in innermost frame:
:e: error(104, 'Connection reset by peer')
:data: '\xff\xd8\xff\xe0\x00\x10JFIF\x00\x01\x01\x01\x00H\x00H\x00\x00\xff\xdb\x00C\x00\x03\x02\x02\x03\x02\x02\x03\x03\x03\x03\x04\x03\x03\x04\x05\x08\x05\x05\x04\x04\x05\n\x07\x07\x06\x08\x0c\n\x0c\x0c\x0b\n\x0b\x0b\r\x0e\x12\x10\r\x0e\x11\x0e\x0b\x0b\x10\x16\x10\x11\x13\x14\x15\x15\x15\x0c\x0f\x17\x18\x16\x14\x18\x12\x14\x15\x14\xff\xdb\x00C\x01\x03\x04\x04\x05\x04\x05\t\x05\x05\t\x14\r\x0b\r\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\x14\xff\xc0\x00\x11\x08\x000\x000\x03\x01"\x00\x02\x11\x01\x03\x11\x01\xff\xc4\x00\x1c\x00\x00\x01\x04\x03\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x08\x02\x04\x05\x06\x00\x01\t\x07\xff\xc4\x00,\x10\x00\x01\x03\x03\x03\x02\x05\x04\x03\x01\x00\x00\x00\x00\x00\x00\x01\x02\x03\x04\x00\x05\x11\x12!1\x06\x07\x08\x13"Qa\x142Aq\x15B\x81\xa1\xff\xc4\x00\x18\x01\x01\x01\x01\x01\x01\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x07\x05\x06\x04\x03\xff\xc4\x00$\x11\x00\x01\x03\x03\x04\x02\x03\x01\x00\x00\x00\x00\x00\x00\x00\x00\x01\x02\x03\x11\x00\x04\x05\x12!1Q"Aaq\x81\xd1\xff\xda\x00\x0c\x03\x01\x00\x02\x11\x03\x11\x00?\x00\x13\xac\xf1\x0b\x8a.(nNj/\xa9&\x7f+4F\x8c\xd9u\x11\x92\xa2T\x91\x92p=G\xf41SS%\x8b]\xadkH*p\xfaP\x91\xc9Q\xe2\x89\x9bOe\x1a\xec\x1fbn\xf7;\xdd\x91\xdb\xd7Qu-\xb7\xcbrS1\x94\xeb\x10\x1bZu\xf9*):\x90\xac\x0c\x974\x94\xe5 \x1d\xb9\xd8^d[\xb0\xd2\xb5\rKQ\xd2\x91\xdfg\xe8\x0f\xe5A\xb6\xc7\xaf"\xa56\x15\xa5\t\x12\xa3\xd7C\xf4\xd0W\x8a\xb0Xn\n\x92\x04G\x0eT7B\x8f\xb7\xb5DN\x88\xb8o\x048\x9d$\x80v9\x07\xe6\x91\x12A\x8b)\xa7\x93\xb1B\x81\xad*\x80u\x1bVT\x150\xe4\x1f\xda\xf4$5\xa1?8\xac\xc0\'\x15\xb6\xd6\x1cH\xd3\xbd))\xd4w\xe6\xa2\x19\x15}&E5\xbf[\x1eE\x89\x17 \xaf)\xa6$$$\xe7\n+\x03Q#\xdb\x03\x07?"\xba\xa9v\x91j\xbc\xf6\xb1\xc5]\x16\x15i\x99lJ\x1euHR\xd2\x94-\xbf\xb9ZA o\x92x\x1c\x9a\x1em~\x06\x1duv\xe8\xb7\xce\xa2bL\x06\xdc.I\x10\xa3)+Z6\xcb`\xa8\xff\x00l}\xd8\xda\xae\x1d\xd2\xee\xd7M\xf6\xb7\xa1\xef\x16\t\xf3\x9d\xb2_\xad\xd1\x1f\x89nRc\xb8\xbf\xa8oI\xf2BT\x83\xf9IH\xf5l\x08<\xd1^n\xf5\xbc\xc3\x8c5fJ\x94\x92\xae\x01\xf7\xa6=O\xa9\xf8\xa4\xfc\x0e=\xccr^~\xeb\xc5$$\xf26\x89\x92z\xe4\n\xe7oWY\x1br}\xcaTG\xd0\xecF\x1d\xf2\x9bRNB\xd2\x07 \xd5J\x9eK\xbaH\x98\x90\x85\xba\xb5#\x9c\x13\xc9\xa6\x94\xd8\xc2\x16\xda\x02Vf(b\xf5\xe6\xdfx\xb8\xd8\x89\xab\xd5\x99\xff\x002\x03\n\'r\x81Rm((\x9a\xaf\xd9\x1e\x02\xdc\xc6y\x03\x1f\xf6\xa4Q+\n\xa9\x8e#\xc8\xc5w\xb0\xbf\x115\xd8\x9eh[\xf1\xff\x00|\x89n\xed\x1a\xe1\x16\xa2\xfdt\xe7\xdai\xb7\x96\xd0S\xdaB\xb5))V2\x91\x81\xb9\xf9\xc7\xe6\x9f[\xfch\xf4E\xaa;\x8d\xdd.\x17\xf8\x0e\xb6\x8c\xa1\x9b\xe5\x81\xc4\xbc\xbf\x8dM\x1d$\xfc\x90(b\xf1\x07\xe2\x12\xc9\xde\xf9r\xdfP1#[a8\xdc&\x0bD\x99/\xb8\xa03\xb9\xf4\xe0\x00I<i\xe0\x9a\x1e\xc2\xe1/\x11~\xd3\xae\xb6B\x10A&\x0f\xe4w\xbcO\xc5)e3V\xa6\xc9\xc6'
:self: <socket._fileobject object at 0x7fa0e80565d0>
:rbufsize: 8192
:buf: <cStringIO.StringO object at 0x7fa0ec0ddb90>
:size: -1

event_log:
:2012-08-13-00:19:18> Smolt profile successfully saved
:2012-08-13-00:19:28> The report was appended to fedora17
:2012-08-13-00:19:29> Logging into Bugzilla at https://bugzilla.redhat.com
:2012-08-13-00:19:35  fatal: RPC failed at server.  The username or password you entered is not valid.
:2012-08-13-00:19:35* (exited with 1)
:2012-08-13-00:21:36> Smolt profile successfully saved
:2012-08-13-00:21:43> The report was appended to fedora17

smolt_data:
:
:
:General
:=================================
:UUID: 443551d3-90ec-49c5-a696-9c62db46494f
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4585.40
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 3869
:System Swap: 5919
:Vendor: Dell Inc.
:System: Dell System Inspiron N4110 
:Form factor: Portable
:Kernel: 3.5.1-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:4136:1217) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4332:33078:4136:1217) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:278:4136:1217) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7171:4136:1217) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7184:4136:1217) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7243:4136:1217) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(32902:7192:4136:1217) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:4136:1217) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4136:1217) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1217) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5348:18215:4136:18) pci, bcma-pci-bridge, NETWORK, BCM4313 802.11b/g/n Wireless LAN Controller
:(4098:26433:4136:1217) pci, radeon, VIDEO, NI Whistler [AMD Radeon HD 6600M Series]
:(32902:7213:4136:1217) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4136:1217) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1217) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1217) pci, mei, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1217) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:32902:8208) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg-lv_root / ext4 4096 4096 12901535 11809317 11678267 3276800 3147282 3147282
:/dev/sda3 /boot ext4 1024 1024 495844 398185 372585 128016 127653 127653
:/dev/mapper/vg-lv_home /home ext4 4096 4096 8272846 7269500 6849251 2105344 2065971 2065971
:
Comment 1 ramadhian@gmail.com 2012-08-12 13:22:24 EDT
Created attachment 603809 [details]
File: fedora17
Comment 2 Fedora End Of Life 2013-07-03 23:39:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-08-01 07:32:15 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.